import { BaseProject } from './base-project';
export declare abstract class BaseFeatureForProject<PROJECT extends BaseProject<any, any> = BaseProject<any, any>> {
    protected project: PROJECT;
    get ins(): import("./base-project-resolver").BaseProjectResolver<any>;
    constructor(project: PROJECT);
}
